> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Renew a certificate

> Renews the record's certificate now.



## OpenAPI

````yaml /api-reference/endpoint/gateway/openapi.json patch /gateway/cert/{zone_id}/{record_id}
openapi: 3.0.3
info:
  title: quiva.ai Gateways API
  description: >-
    quiva.ai Gateway API for managing gateway infrastructure and routing API
    requests.
  version: 1.0.0
  contact:
    name: quiva.ai Support
    email: support@quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Gateways
    description: Gateway management endpoints
  - name: Mappings
    description: Gateway Mapping management endpoints
  - name: Mapping Versions
    description: Gateway Mapping Version management endpoints
  - name: DNS Zones
    description: Custom domain zones managed on the gateway
  - name: DNS Records
    description: Records inside a DNS zone, and the domains a gateway answers on
  - name: Certificates
    description: TLS certificates for a DNS record
paths:
  /gateway/cert/{zone_id}/{record_id}:
    patch:
      tags:
        - Certificates
      summary: Renew a certificate
      description: Renews the record's certificate now.
      operationId: renewDnsCert
      parameters:
        - name: zone_id
          in: path
          required: true
          description: Zone id, as returned in the zone subject
          schema:
            type: string
        - name: record_id
          in: path
          required: true
          description: Record id, as returned in the record subject
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  body:
                    type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Zone or record not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.